Library Version 18.1.40

DB_ENV->get_lk_priority()
Prev | Chapter 6. The DB_LOCK Handle | Next

## DB_ENV->get_lk_priority()

    #include <db.h>

    int
    DB_ENV->get_lk_priority(DB_ENV *dbenv,
        u_int32_t lockerid, u_int32_t *priority);

Get the deadlock priority for the given locker.

### Parameters

#### lockerid

The lockerid parameter represents a locker returned by `envM;lock_id()`.

#### priority

Upon return, the priority parameter will point to a value between 0 and 2^32-1.

### Errors

The `DB_ENV->get_lk_priority()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOCK

### See Also

Locking Subsystem and Related Methods, DB_ENV->set_lk_priority()

Prev | Up | Next
DB_ENV->get_lk_partitions() | Home | DB_ENV->get_lk_tablesize()